<?php
if(!logged_in()){
    redirect(ROOT . '/login'); 
}
include 'includes/header.php';
?>
<style>   
						/*

		All grid code is placed in a 'supports' rule (feature query) at the bottom of the CSS (Line 310). 
				
		The 'supports' rule will only run if your browser supports CSS grid.

		Flexbox and floats are used as a fallback so that browsers which don't support grid will still recieve a similar layout.

		*/

		/* Base Styles */


		.visually-hidden {
			position: absolute !important;
			height: 1px;
			width: 1px;
			overflow: hidden;
			clip: rect(1px, 1px, 1px, 1px);
		}

		/* Profile Section */

		.profile {
			padding: 5rem 0;
		}

		.profile::after {
			content: "";
			display: block;
			clear: both;
		}

		.profile-image {
			float: left;
			width: calc(33.333% - 1rem);
			display: flex;
			justify-content: center;
			align-items: center;
			margin-right: 3rem;
		}

		.profile-image img {
			border-radius: 50%;
		}

		.profile-user-settings,
		.profile-stats,
		.profile-bio {
			float: left;
			width: calc(66.666% - 2rem);
		}

		.profile-user-settings {
			margin-top: 1.1rem;
		}

		.profile-user-name {
			display: inline-block;
			font-size: 2rem;
			font-weight: 300;
		}

		.profile-edit-btn {
			font-size: 1rem;
			line-height: 1.8;
			border: 0.1rem solid #dbdbdb;
			border-radius: 0.3rem;
			padding: 0 2.4rem;
			margin-left: 2rem;
		}

		.profile-settings-btn {
			font-size: 1rem;
			margin-left: 1rem;
		}

		.profile-stats {
			margin-top: 2.3rem;
		}

		.profile-stats li {
			display: inline-block;
			font-size: 1rem;
			line-height: 1.5;
			margin-right: 4rem;
			cursor: pointer;
		}

		.profile-stats li:last-of-type {
			margin-right: 0;
		}

		.profile-bio {
			font-size: 1rem;
			font-weight: 400;
			line-height: 1.5;
			margin-top: 2.3rem;
		}

		.profile-real-name,
		.profile-stat-count,
		.profile-edit-btn {
			font-weight: 600;
		}

		/* Gallery Section */

				.gallery {
			display: flex;
			flex-wrap: wrap;
			margin: -1rem -1rem;
			padding-bottom: 3rem;
		}

		.gallery-item {
			position: relative;
			flex: 1 0 22rem;
			margin: 1rem;
			color: #fff;
			cursor: pointer;
		}

		.gallery-image {
			width: 100%;
			height: 100%;
			object-fit: cover;
		}

		.gallery-item:hover .gallery-item-info,
		.gallery-item:focus .gallery-item-info {
			display: flex;
			justify-content: center;
			align-items: center;
			position: absolute;
			top: 0;
			width: 100%;
			height: 100%;
			background-color: rgba(0, 0, 0, 0.3);
		}

		.gallery-item-info {
			display: none;
		}

		.gallery-item-info li {
			display: inline-block;
			font-size: 1rem;
			font-weight: 600;
		}

		.gallery-item-likes {
			margin-right: 2.2rem;
		}

		.gallery-item-type {
			position: absolute;
			top: 1rem;
			right: 1rem;
			font-size: 1.5rem;
			text-shadow: 0.2rem 0.2rem 0.2rem rgba(0, 0, 0, 0.1);
		}

		.fa-clone,
		.fa-comment {
			transform: rotateY(180deg);
		}


		/* Loader */

		.loader {
			width: 5rem;
			height: 5rem;
			border: 0.6rem solid #999;
			border-bottom-color: transparent;
			border-radius: 50%;
			margin: 0 auto;
			animation: loader 500ms linear infinite;
		}

		/* Media Query */

		@media screen and (max-width: 40rem) {
			.profile {
				display: flex;
				flex-wrap: wrap;
				padding: 4rem 0;
			}

			.profile::after {
				display: none;
			}

			.profile-image,
			.profile-user-settings,
			.profile-bio,
			.profile-stats {
				float: none;
				width: auto;
			}

			.profile-image img {
				width: 7.7rem;
			}

			.profile-user-settings {
				flex-basis: calc(100% - 10.7rem);
				display: flex;
				flex-wrap: wrap;
				margin-top: 1rem;
			}

			.profile-user-name {
				font-size: 1.5rem;
			}

			.profile-edit-btn {
				order: 1;
				padding: 0;
				text-align: center;
				margin-top: 1rem;
			}

			.profile-edit-btn {
				margin-left: 0;
			}

			.profile-bio {
				font-size: 1rem;
				margin-top: 1.5rem;
			}

			.profile-edit-btn,
			.profile-bio,
			.profile-stats {
				flex-basis: 100%;
			}

			.profile-stats {
				order: 1;
				margin-top: 1.5rem;
			}

			.profile-stats ul {
				display: flex;
				text-align: center;
				padding: 1.2rem 0;
				border-top: 0.1rem solid #dadada;
				border-bottom: 0.1rem solid #dadada;
			}

			.profile-stats li {
				font-size: 1.4rem;
				flex: 1;
				margin: 0;
			}

			.profile-stat-count {
				display: block;
			}
		}

		/* Spinner Animation */

		@keyframes loader {
			to {
				transform: rotate(360deg);
			}
		}

		/*

		The following code will only run if your browser supports CSS grid.

		Remove or comment-out the code block below to see how the browser will fall-back to flexbox & floated styling. 

		*/

		@supports (display: grid) {
			.profile {
				display: grid;
				grid-template-columns: 1fr 2fr;
				grid-template-rows: repeat(3, auto);
				grid-column-gap: 3rem;
				align-items: center;
			}

			.profile-image {
				grid-row: 1 / -1;
			}

			.gallery {
				display: grid;
				grid-template-columns: repeat(auto-fit, minmax(22rem, 1fr));
				grid-gap: 2rem;
			}

			.profile-image,
			.profile-user-settings,
			.profile-stats,
			.profile-bio,
			.gallery-item,
			.gallery {
				width: auto;
				margin: 0;
			}

			@media (max-width: 40rem) {
				.profile {
					grid-template-columns: auto 1fr;
					grid-row-gap: 1.5rem;
				}

				.profile-image {
					grid-row: 1 / 2;
				}

				.profile-user-settings {
					display: grid;
					grid-template-columns: auto 1fr;
					grid-gap: 1rem;
				}

				.profile-edit-btn,
				.profile-stats,
				.profile-bio {
					grid-column: 1 / -1;
				}

				.profile-user-settings,
				.profile-edit-btn,
				.profile-settings-btn,
				.profile-bio,
				.profile-stats {
					margin: 0;
				}
			}
		}

</style>
<!---  Php Files -->
<?php
if (!empty($url[1])) {
    $id = $url[1];
} else {
    $id = $_SESSION['user_id'];
}

$image_user = find('users', $id, 'image');
$username = find('users' ,$id ,'username');
$bio = find('users',$id,'bio');
$query = "select count(id) as count from posts where user_id = $id and active = 1";
$post_no = query($query);
$postn = $post_no[0]['count'];
?>
<header>
<div class="container">

	<div class="profile">

		<div class="profile-image">
		
			<img src="<?=get_image($image_user)?>" alt="" class="img-fluid rounded-circle" 
			style="width: 250px; height: 250px; object-fit: cover;">

		</div>

		<div class="profile-user-settings">
			<h1 class="profile-user-name"><?=$username?></h1>
			<?php if($url[1] == $_SESSION['user_id']){?>
						<a href="<?=ROOT?>/user/user/edit" class="btn profile-edit-btn">Edit Profile</a>
						<? } ?>
		</div>

		<div class="profile-stats">

			<ul>
			<li class="nav-item">
              <a class="nav-link d-flex align-items-center gap-2" href="">
              <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-images" viewBox="0 0 16 16">
              <path d="M4.502 9a1.5 1.5 0 1 0 0-3 1.5 1.5 0 0 0 0 3"/>
              <path d="M14.002 13a2 2 0 0 1-2 2h-10a2 2 0 0 1-2-2V5A2 2 0 0 1 2 3a2 2 0 0 1 2-2h10a2 2 0 0 1 2 2v8a2 2 0 0 1-1.998 2M14 2H4a1 1 0 0 0-1 1h9.002a2 2 0 0 1 2 2v7A1 1 0 0 0 15 11V3a1 1 0 0 0-1-1M2.002 4a1 1 0 0 0-1 1v8l2.646-2.354a.5.5 0 0 1 .63-.062l2.66 1.773 3.71-3.71a.5.5 0 0 1 .577-.094l1.777 1.947V5a1 1 0 0 0-1-1z"/>
              </svg>
                <?=$postn?> Posts
              </a>
            </li>
				<li><span class="profile-stat-count">188</span> followers</li>
				<li><span class="profile-stat-count">206</span> following</li>
			</ul>

		</div>

		<div class="profile-bio justify-content-center">

			<p><span class="profile-real-name"><?=$bio?></span></p>

		</div>

	</div>
	<!-- End of profile section -->

</div>
<!-- End of container -->

</header>

<main>

<div class="container">

<div class="container">
    <div class="row">
        <?php
        $query = "SELECT * FROM posts WHERE user_id = $id AND active = 1 ORDER BY id DESC";
        $posts = query($query);
        ?>
        <?php if (!empty($posts)): ?>
            <?php foreach ($posts as $post): ?>
                <?php $image = $post['image']; ?>
                
                <div class="col-12 col-md-6 col-lg-4 mb-4">
                    <div class="card shadow-sm">
					<a href="<?=ROOT?>/post/<?=$post['slug']?>">
                        <img src="<?= get_image($image) ?>" class="card-img-top gallery-image" alt="Post Image">
					</a>
						<div class="card-body text-center">
                            <ul class="list-inline mb-0">
                                <li class="list-inline-item">
								<i class="bi bi-heart-fill"></i> 56
                                </li>
                                <li class="list-inline-item">
                                    <i class="bi bi-chat-fill"></i> 2
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>

            <?php endforeach; ?>
        <?php endif; ?>
    </div>
</div>

	<!-- End of gallery -->

	<div class="loader"></div>

</div>
<!-- End of container -->

</main>
